import '@material/web/icon/icon.js';
import '@material/web/button/elevated-button.js';
import '@material/web/button/text-button.js';
import '@material/web/textfield/filled-text-field.js';
import '@operato/lottie-player';
import '@operato/i18n/ox-i18n.js';
import '@operato/i18n/ox-i18n-selector.js';
import '@operato/layout/ox-snack-bar.js';
import { LitElement } from 'lit';
declare const AbstractAuthPage_base: (new (...args: any[]) => LitElement) & typeof LitElement;
export declare abstract class AbstractAuthPage extends AbstractAuthPage_base {
    static styles: import("lit").CSSResult[];
    data: any;
    message?: string;
    detail: any;
    redirectTo?: string;
    formEl: HTMLFormElement;
    private _applicationMeta?;
    get autocompletable(): boolean;
    render(): import("lit-html").TemplateResult<1>;
    firstUpdated(): void;
    updated(changed: any): void;
    abstract get pageName(): string;
    abstract get actionUrl(): string;
    get formElements(): HTMLInputElement[];
    get formfields(): import("lit-html").TemplateResult<1>;
    get links(): import("lit-html").TemplateResult<1>;
    _onSubmit(e: any): Promise<void>;
    checkValidity(): boolean;
    abstract submit(): any;
    showSnackbar({ level, message, timer }?: {
        level?: string;
        message?: string;
        timer?: number;
    }): void;
    hideSnackbar(): void;
    get applicationMeta(): {
        icon: string;
        title: string;
        description: string;
    };
}
export {};
